I get the message: Update of the app required


If you get the message that you should update the Teleboy TV app, make sure that you are using a supported device. You can find an overview of supported Apple TV devices here:


Which versions of Apple TV are supported by Teleboy?


Why am I getting this message?


As of June 5, Teleboy customers will no longer be able to watch videos with HLS 5. Instead, a notice screen will be broadcast informing about the discontinuation of the. 


Teleboy will finally shut down HLS 5 on July 3. HLS 5 is no longer supported because it is outdated streaming technology.


Which devices are affected by the HLS 5 shutdown?


The HLS 5 shutdown primarily affects 3rd generation Apple TV in conjunction with AirPlay. 


Apple TV 3rd generation is over 11 years old, and Teleboy can no longer offer support for this outdated streaming technology. 

Also affected are older app versions of Teleboy TV on iOS devices.

Was this article helpful?

That’s Great!

Thank you for your feedback

Sorry! We couldn't be helpful

Thank you for your feedback

Let us know how can we improve this article!

Select atleast one of the reasons
CAPTCHA verification is required.

Feedback sent

We appreciate your effort and will try to fix the article